# Uses of Class
org.springframework.asm.FieldVisitor

Packages that use FieldVisitor
Package
Description
org.springframework.asm
Spring's repackaging of ASM 9.x (with Spring-specific patches; for internal use only).
org.springframework.cglib.core
Spring's repackaging of the CGLIB core package (for internal use only).
org.springframework.cglib.transform
Spring's repackaging of the CGLIB transform package (for internal use only).

## Uses of FieldVisitor in org.springframework.asm

Fields in org.springframework.asm declared as FieldVisitor
Modifier and Type
Field
Description
`protected FieldVisitor`
FieldVisitor.`fv`
The field visitor to which this visitor must delegate method calls.
Methods in org.springframework.asm that return FieldVisitor
Modifier and Type
Method
Description
`FieldVisitor`
FieldVisitor.`getDelegate()`
The field visitor to which this visitor must delegate method calls.
`FieldVisitor`
ClassVisitor.`visitField(int access, String name, String descriptor, String signature, Object value)`
Visits a field of the class.
`final FieldVisitor`
ClassWriter.`visitField(int access, String name, String descriptor, String signature, Object value)`
Constructors in org.springframework.asm with parameters of type FieldVisitor
Modifier
Constructor
Description
`protected`
`FieldVisitor(int api, FieldVisitor fieldVisitor)`
Constructs a new `FieldVisitor`.

## Uses of FieldVisitor in org.springframework.cglib.core

Methods in org.springframework.cglib.core that return FieldVisitor
Modifier and Type
Method
Description
`FieldVisitor`
ClassEmitter.`visitField(int access, String name, String desc, String signature, Object value)`

## Uses of FieldVisitor in org.springframework.cglib.transform

Subclasses of FieldVisitor in org.springframework.cglib.transform
Modifier and Type
Class
Description
`class`
`FieldVisitorTee`
Methods in org.springframework.cglib.transform that return FieldVisitor
Modifier and Type
Method
Description
`FieldVisitor`
AbstractClassFilterTransformer.`visitField(int access, String name, String desc, String signature, Object value)`
`FieldVisitor`
ClassVisitorTee.`visitField(int access, String name, String desc, String signature, Object value)`
Constructors in org.springframework.cglib.transform with parameters of type FieldVisitor
Modifier
Constructor
Description
``
`FieldVisitorTee(FieldVisitor fv1, FieldVisitor fv2)`